
// 59797918 HiddenRepCkBox enable if login required or disable and uncheck if login is not required.
function EnableDisableHidenRepCkBox() {
    if ($("[id$='AuthCkBox']").is(':checked')) {
        $("[id$='HidenRepCkBox']").prop("disabled", false);		// AX-24898.24919.3 don't use .removeAttr("disabled");                // id^ means contain HidenRepCkBox because this control is render as ctl00_ctl00_Container_MainContent_HidenRepCkBox
    } else {
        $("[id$='HidenRepCkBox']").attr("disabled", true);                // id^ means contain HidenRepCkBox because this control is render as ctl00_ctl00_Container_MainContent_HidenRepCkBox
        $("[id$='HidenRepCkBox']").attr("checked", false);
    }
}

// 59797918 BecauseIE8 not work disable/enable in server side with client side together, Now all is done in client side with Ready() function
jQuery(document).ready(function () {
    EnableDisableHidenRepCkBox();
});       

